> ## Documentation Index
> Fetch the complete documentation index at: https://flowglad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoices



## OpenAPI

````yaml https://app.flowglad.com/api/openapi get /api/v1/invoices
openapi: 3.1.0
info:
  title: Flowglad API
  version: 0.0.1
servers:
  - url: https://app.flowglad.com
security: []
externalDocs:
  url: https://docs.flowglad.com
paths:
  /api/v1/invoices:
    get:
      tags:
        - Invoices
      summary: List Invoices
      operationId: invoices-list
      parameters:
        - in: query
          name: cursor
          schema:
            type: string
        - in: query
          name: limit
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/InvoiceRecord'
                      description: >-
                        An invoice record, which describes a bill that can be
                        associated with a purchase, subscription, or stand
                        alone. Each invoice has a specific type that determines
                        its behavior and required fields.
                  currentCursor:
                    type: string
                  nextCursor:
                    type: string
                  hasMore:
                    type: boolean
                  total:
                    type: number
                required:
                  - data
                  - hasMore
                  - total
                additionalProperties: false
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    InvoiceRecord:
      anyOf:
        - $ref: '#/components/schemas/PurchaseInvoiceClientSelectSchema'
        - $ref: '#/components/schemas/SubscriptionInvoiceClientSelectSchema'
        - $ref: '#/components/schemas/StandaloneInvoiceClientSelectSchema'
    error.BAD_REQUEST:
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Invalid input data
          type: string
        code:
          description: The error code
          example: BAD_REQUEST
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.UNAUTHORIZED:
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Authorization not provided
          type: string
        code:
          description: The error code
          example: UNAUTHORIZED
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.FORBIDDEN:
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Insufficient access
          type: string
        code:
          description: The error code
          example: FORBIDDEN
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.NOT_FOUND:
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Not found
          type: string
        code:
          description: The error code
          example: NOT_FOUND
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    error.INTERNAL_SERVER_ERROR:
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
      type: object
      properties:
        message:
          description: The error message
          example: Internal server error
          type: string
        code:
          description: The error code
          example: INTERNAL_SERVER_ERROR
          type: string
        issues:
          description: An array of issues that were responsible for the error
          example: []
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
            additionalProperties: false
      required:
        - message
        - code
      additionalProperties: false
    PurchaseInvoiceClientSelectSchema:
      type: object
      properties:
        id:
          type: string
        createdAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        updatedAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        livemode:
          type: boolean
        purchaseId:
          type: string
        invoiceNumber:
          type: string
        invoiceDate:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        billingPeriodId:
          description: Omitted.
          type: 'null'
        dueDate:
          anyOf:
            - description: Epoch milliseconds.
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            - type: 'null'
        customerId:
          type: string
        organizationId:
          type: string
        status:
          $ref: '#/components/schemas/InvoiceStatus'
        subscriptionId:
          description: Omitted.
          type: 'null'
        billingRunId:
          anyOf:
            - type: string
            - type: 'null'
        billingPeriodStartDate:
          description: Omitted.
          type: 'null'
        billingPeriodEndDate:
          description: Omitted.
          type: 'null'
        ownerMembershipId:
          anyOf:
            - type: string
            - type: 'null'
        pdfURL:
          anyOf:
            - type: string
              format: uri
            - type: 'null'
        receiptPdfURL:
          anyOf:
            - type: string
              format: uri
            - type: 'null'
        memo:
          anyOf:
            - type: string
            - type: 'null'
        bankPaymentOnly:
          anyOf:
            - type: boolean
            - type: 'null'
        type:
          type: string
          const: purchase
        currency:
          $ref: '#/components/schemas/CurrencyCode'
        taxAmount:
          anyOf:
            - type: integer
              minimum: -2147483648
              maximum: 2147483647
            - type: 'null'
        subtotal:
          anyOf:
            - type: integer
              minimum: -2147483648
              maximum: 2147483647
            - type: 'null'
        taxType:
          anyOf:
            - anyOf:
                - type: string
                  enum:
                    - amusement_tax
                    - communications_tax
                    - gst
                    - hst
                    - igst
                    - jct
                    - lease_tax
                    - pst
                    - qst
                    - rst
                    - sales_tax
                    - vat
                    - none
                - type: 'null'
            - type: 'null'
        taxCountry:
          anyOf:
            - $ref: '#/components/schemas/CountryCode'
            - type: 'null'
        taxState:
          anyOf:
            - type: string
            - type: 'null'
        taxRatePercentage:
          anyOf:
            - type: string
            - type: 'null'
        applicationFee:
          anyOf:
            - type: integer
              minimum: -2147483648
              maximum: 2147483647
            - type: 'null'
        pricingModelId:
          type: string
      required:
        - id
        - createdAt
        - updatedAt
        - livemode
        - purchaseId
        - invoiceNumber
        - invoiceDate
        - customerId
        - organizationId
        - status
        - billingRunId
        - ownerMembershipId
        - memo
        - bankPaymentOnly
        - type
        - currency
        - taxAmount
        - subtotal
        - taxState
        - taxRatePercentage
        - applicationFee
        - pricingModelId
      additionalProperties: false
    SubscriptionInvoiceClientSelectSchema:
      type: object
      properties:
        id:
          type: string
        createdAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        updatedAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        livemode:
          type: boolean
        purchaseId:
          description: Omitted.
          type: 'null'
        invoiceNumber:
          type: string
        invoiceDate:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        billingPeriodId:
          type: string
        dueDate:
          anyOf:
            - description: Epoch milliseconds.
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            - type: 'null'
        customerId:
          type: string
        organizationId:
          type: string
        status:
          $ref: '#/components/schemas/InvoiceStatus'
        subscriptionId:
          type: string
        billingRunId:
          anyOf:
            - type: string
            - type: 'null'
        billingPeriodStartDate:
          anyOf:
            - description: Epoch milliseconds.
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            - type: 'null'
        billingPeriodEndDate:
          anyOf:
            - description: Epoch milliseconds.
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            - type: 'null'
        ownerMembershipId:
          anyOf:
            - type: string
            - type: 'null'
        pdfURL:
          anyOf:
            - type: string
              format: uri
            - type: 'null'
        receiptPdfURL:
          anyOf:
            - type: string
              format: uri
            - type: 'null'
        memo:
          anyOf:
            - type: string
            - type: 'null'
        bankPaymentOnly:
          anyOf:
            - type: boolean
            - type: 'null'
        type:
          type: string
          const: subscription
        currency:
          $ref: '#/components/schemas/CurrencyCode'
        taxAmount:
          anyOf:
            - type: integer
              minimum: -2147483648
              maximum: 2147483647
            - type: 'null'
        subtotal:
          anyOf:
            - type: integer
              minimum: -2147483648
              maximum: 2147483647
            - type: 'null'
        taxType:
          anyOf:
            - anyOf:
                - type: string
                  enum:
                    - amusement_tax
                    - communications_tax
                    - gst
                    - hst
                    - igst
                    - jct
                    - lease_tax
                    - pst
                    - qst
                    - rst
                    - sales_tax
                    - vat
                    - none
                - type: 'null'
            - type: 'null'
        taxCountry:
          anyOf:
            - $ref: '#/components/schemas/CountryCode'
            - type: 'null'
        taxState:
          anyOf:
            - type: string
            - type: 'null'
        taxRatePercentage:
          anyOf:
            - type: string
            - type: 'null'
        applicationFee:
          anyOf:
            - type: integer
              minimum: -2147483648
              maximum: 2147483647
            - type: 'null'
        pricingModelId:
          type: string
      required:
        - id
        - createdAt
        - updatedAt
        - livemode
        - purchaseId
        - invoiceNumber
        - invoiceDate
        - billingPeriodId
        - customerId
        - organizationId
        - status
        - subscriptionId
        - billingRunId
        - ownerMembershipId
        - memo
        - bankPaymentOnly
        - type
        - currency
        - taxAmount
        - subtotal
        - taxState
        - taxRatePercentage
        - applicationFee
        - pricingModelId
      additionalProperties: false
    StandaloneInvoiceClientSelectSchema:
      type: object
      properties:
        id:
          type: string
        createdAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        updatedAt:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        livemode:
          type: boolean
        purchaseId:
          description: Omitted.
          type: 'null'
        invoiceNumber:
          type: string
        invoiceDate:
          description: Epoch milliseconds.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        billingPeriodId:
          description: Omitted.
          type: 'null'
        dueDate:
          anyOf:
            - description: Epoch milliseconds.
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            - type: 'null'
        stripePaymentIntentId:
          anyOf:
            - type: string
            - type: 'null'
        customerId:
          type: string
        organizationId:
          type: string
        status:
          $ref: '#/components/schemas/InvoiceStatus'
        subscriptionId:
          description: Omitted.
          type: 'null'
        billingRunId:
          anyOf:
            - type: string
            - type: 'null'
        billingPeriodStartDate:
          description: Omitted.
          type: 'null'
        billingPeriodEndDate:
          description: Omitted.
          type: 'null'
        ownerMembershipId:
          anyOf:
            - type: string
            - type: 'null'
        pdfURL:
          anyOf:
            - type: string
              format: uri
            - type: 'null'
        receiptPdfURL:
          anyOf:
            - type: string
              format: uri
            - type: 'null'
        memo:
          anyOf:
            - type: string
            - type: 'null'
        bankPaymentOnly:
          anyOf:
            - type: boolean
            - type: 'null'
        type:
          type: string
          const: standalone
        currency:
          $ref: '#/components/schemas/CurrencyCode'
        taxAmount:
          anyOf:
            - type: integer
              minimum: -2147483648
              maximum: 2147483647
            - type: 'null'
        subtotal:
          anyOf:
            - type: integer
              minimum: -2147483648
              maximum: 2147483647
            - type: 'null'
        stripeTaxCalculationId:
          anyOf:
            - type: string
            - type: 'null'
        stripeTaxTransactionId:
          anyOf:
            - type: string
            - type: 'null'
        taxType:
          anyOf:
            - anyOf:
                - type: string
                  enum:
                    - amusement_tax
                    - communications_tax
                    - gst
                    - hst
                    - igst
                    - jct
                    - lease_tax
                    - pst
                    - qst
                    - rst
                    - sales_tax
                    - vat
                    - none
                - type: 'null'
            - type: 'null'
        taxCountry:
          anyOf:
            - $ref: '#/components/schemas/CountryCode'
            - type: 'null'
        taxState:
          anyOf:
            - type: string
            - type: 'null'
        taxRatePercentage:
          anyOf:
            - type: string
            - type: 'null'
        applicationFee:
          anyOf:
            - type: integer
              minimum: -2147483648
              maximum: 2147483647
            - type: 'null'
        pricingModelId:
          type: string
      required:
        - id
        - createdAt
        - updatedAt
        - livemode
        - purchaseId
        - invoiceNumber
        - invoiceDate
        - billingPeriodId
        - stripePaymentIntentId
        - customerId
        - organizationId
        - status
        - subscriptionId
        - billingRunId
        - ownerMembershipId
        - memo
        - bankPaymentOnly
        - type
        - currency
        - taxAmount
        - subtotal
        - stripeTaxCalculationId
        - stripeTaxTransactionId
        - taxState
        - taxRatePercentage
        - applicationFee
        - pricingModelId
      additionalProperties: false
    InvoiceStatus:
      type: string
      enum:
        - draft
        - open
        - paid
        - uncollectible
        - void
        - refunded
        - partially_refunded
        - awaiting_payment_confirmation
    CurrencyCode:
      description: Currency code
      type: string
      enum:
        - USD
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - ISK
        - JMD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KRW
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SEK
        - SGD
        - SHP
        - SLE
        - SOS
        - SRD
        - STD
        - SZL
        - THB
        - TJS
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - UYU
        - UZS
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
    CountryCode:
      description: ISO 3166-1 alpha-2 country code
      type: string
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BQ
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SX
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - UM
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XK
        - YE
        - YT
        - ZA
        - ZM
        - ZW
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````